clear();

m=1.0;
C=0.5;
D=0.2;

F=10.0;

u_begrenzt_aktuell = 0;  //global, wird in modell und simulation benötigt.

exec modell.sce;
exec ruku.sce;
exec simulation.sce
exec fehlerfunktion.sce
exec optimierer.sce

dt = 0.01;
t=0:dt:30.0;

y0=[0;0];
param = [m,C,D];

y=simulation(param,y0,t);


x=[1,1,1]; //Startparameter

fehler = berechneFehler(x)

y_sim=simulation(x,y0,t);

//plot(t,y(1,:),t,y_sim(1,:));

startparam = [1,1,1];
minparam   = [0.0001,0.0001,0.0001];
maxparam   = [100,100,100];

bestparam = meinoptimierer(berechneFehler,startparam,minparam,maxparam);

fehler = berechneFehler(bestparam)

BESTER_PARAMETERSATZ = bestparam

y_sim_best=simulation(bestparam,y0,t);

plot(t,y(1,:),t,y_sim_best(1,:));










